Error when trying to install printer

Asked By 10 points N/A Posted on -
qa-featured

Hi all,

I’m using a Canon lpb 2900 printer. I went to the website and downloaded the driver as per instructed and installed the files with Ubuntu Software Center.

The following message then appeared;

Error:

Package operation failed

The installation or removal of a software package failed.

Details

(Reading database…50%
(Reading database…55%
(Reading database…66%
(Reading database…70%
(Reading database…75%
(Reading database…80%
(Reading database… 85%
(Reading database…90%
(Reading database…95%
(Reading database…100%
(Reading database…17456 files and directories currently installed.)Unpacking cndrvcups-common:i386(from…/cndrvcups-common_2.40-1_i3 dpkg:dependency problems prevent configuration of cndrvcups-common:i cndrvcups-common:i386 depends on cupsys|cups.dpkg:error processing cndrvcups-common:i386(-install):dependency problems-leaving unconfigured

I searched the help database but no luck,

Please help.

Thanks

SHARE
Answered By 0 points N/A #137924

Error when trying to install printer

qa-featured

Hi,

At the very first step;
You need to check-up your system again. I think you are trying to install an i386 package on an amd64 system and that package wasn’t designed to installable on amd64. As far I know this is the problem for this displayed error message. Try to convert one of the 64-bit RPMS to a deb with alien.

Or

If my guess is incorrect, you need to look at the official Ubuntu documentation on Canon LBP2900 printers. Where you can find the explanation of how to install and configure the official driver for them. Click on the link;

Visit this site

Thanks

Login/Register to Answer

Related Questions